Issue 126770 - [groovy-uno] Initial development of a Groovy UNO Extension and Gradle build based Lazybones project templates
Summary: [groovy-uno] Initial development of a Groovy UNO Extension and Gradle build b...
Status: CONFIRMED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 4.1.2
Hardware: All All
: P5 (lowest) Trivial
Target Milestone: ---
Assignee: Carl Marcum
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-03 21:22 UTC by Carl Marcum
Modified: 2016-04-23 19:35 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Script to test Groovy UNO Extension (17.98 KB, text/plain)
2016-03-13 21:33 UTC, Carl Marcum
no flags Details
Script to test Groovy UNO Extension (17.98 KB, text/plain)
2016-04-05 03:12 UTC, Carl Marcum
no flags Details
HelloTextTableShape.groovy Script to test Groovy UNO Extension (17.98 KB, text/x-csrc)
2016-04-23 15:00 UTC, Carl Marcum
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Carl Marcum 2016-01-03 21:22:39 UTC
This issue is to document initial development of a Groovy UNO Extension and Gradle build based Lazybones project templates.

The main purpose of the Groovy UNO Extension is to add convenience methods to the Java UNO API's to reduce the amount of code necessary in an extension when using Groovy.

The purpose of the Lazybones templates are to generate Gradle build based IDE independent Extension projects.

The extensions will allow a mix of Java and Groovy sources and be Gradle based instead of Maven and rely on the Java UNO jars now available from Maven repositories.
Comment 1 SVN Robot 2016-02-20 14:04:19 UTC
"cmarcum" committed SVN revision 1731404 into devtools/guno-extension/trunk/src:
#i126770#
Comment 2 SVN Robot 2016-02-27 04:19:51 UTC
"cmarcum" committed SVN revision 1732601 into devtools/guno-extension/trunk/src:
#i126770#
Comment 3 SVN Robot 2016-02-27 04:20:49 UTC
"cmarcum" committed SVN revision 1732603 into devtools/guno-extension/trunk/src:
#i126770#
Comment 4 SVN Robot 2016-02-27 04:22:23 UTC
"cmarcum" committed SVN revision 1732604 into devtools/guno-extension/trunk/src:
#i126770#
Comment 5 SVN Robot 2016-02-27 04:23:17 UTC
"cmarcum" committed SVN revision 1732605 into devtools/guno-extension/trunk/src:
#i126770#
Comment 6 SVN Robot 2016-02-27 04:24:51 UTC
"cmarcum" committed SVN revision 1732606 into devtools/guno-extension/trunk/src:
#i126770#
Comment 7 SVN Robot 2016-02-27 18:57:20 UTC
"cmarcum" committed SVN revision 1732664 into devtools/guno-extension/trunk/src:
#i126770#
Comment 8 SVN Robot 2016-02-27 19:07:47 UTC
"cmarcum" committed SVN revision 1732665 into devtools/guno-extension/trunk/src:
#i126770#
Comment 9 SVN Robot 2016-02-28 14:42:43 UTC
"cmarcum" committed SVN revision 1732745 
#i126770#
Comment 10 SVN Robot 2016-02-28 18:25:11 UTC
"cmarcum" committed SVN revision 1732774 into devtools/guno-extension/trunk/src:
#i126770#
Comment 11 SVN Robot 2016-03-03 00:02:00 UTC
"cmarcum" committed SVN revision 1733391 into devtools/guno-extension/trunk/src:
#i126770#
Comment 12 Carl Marcum 2016-03-13 21:33:16 UTC
Created attachment 85356 [details]
Script to test Groovy UNO Extension

Prerequisite:
If you had earlier tested bootstrap-connector.jar by placing it in ~/.groovy/lib  or added the Java UNO jar files there, you need to remove them first.

In HelloTextTableShape.groovy edit value for oooExeFolder to match the path to the soffice executable if needed.
Run with:
groovy HelloTextTableShape.groovy
Comment 13 SVN Robot 2016-04-02 22:09:13 UTC
"cmarcum" committed SVN revision 1737534 into devtools/guno-extension/trunk/src:
#i126770#
Comment 14 SVN Robot 2016-04-02 22:17:07 UTC
"cmarcum" committed SVN revision 1737535 
#i126770#
Comment 15 SVN Robot 2016-04-02 22:19:09 UTC
"cmarcum" committed SVN revision 1737537 
#i126770#
Comment 16 SVN Robot 2016-04-02 22:44:33 UTC
"cmarcum" committed SVN revision 1737542 
#i126770#
Comment 17 SVN Robot 2016-04-03 04:15:00 UTC
"cmarcum" committed SVN revision 1737547 
#i126770#
Comment 18 SVN Robot 2016-04-03 15:02:02 UTC
"cmarcum" committed SVN revision 1737590 into devtools/guno-extension/trunk/src:
#i126770#
Comment 19 Carl Marcum 2016-04-05 03:12:41 UTC
Created attachment 85390 [details]
Script to test Groovy UNO Extension

Script to test Groovy UNO Extension

Prerequisite:
If you had earlier tested bootstrap-connector.jar by placing it in ~/.groovy/lib  or added the Java UNO jar files there, you need to remove them first.

In HelloTextTableShape.groovy edit value for oooExeFolder to match the path to the soffice executable if needed.
Run with:
groovy HelloTextTableShape.groovy
Comment 20 SVN Robot 2016-04-20 00:29:15 UTC
"cmarcum" committed SVN revision 1740035 
#i126770# added needed properties with sample values to gradle.properties
Comment 21 SVN Robot 2016-04-23 10:36:29 UTC
"cmarcum" committed SVN revision 1740641 
#i126770# added Java 1.6 compatibility
Comment 22 SVN Robot 2016-04-23 10:57:23 UTC
"cmarcum" committed SVN revision 1740645 
#i126770# updated version to 0.1.5
Comment 23 Carl Marcum 2016-04-23 15:00:49 UTC
Created attachment 85486 [details]
HelloTextTableShape.groovy Script to test Groovy UNO Extension

Script to test Groovy UNO Extension updated for 0.1.5 RC1
Comment 24 SVN Robot 2016-04-23 19:35:52 UTC
"cmarcum" committed SVN revision 1740664 
#i126770# merged changes from release 0.1 release branch